package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.common.PageInfo;
import com.fdkankan.ucenter.entity.ExpansionOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.ucenter.vo.request.VirtualOrderParam;

import java.util.List;

/**
 * <p>
 * 扩容订单表（八目相机） 服务类
 * </p>
 *
 * @author 
 * @since 2022-07-14
 */
public interface IExpansionOrderService extends IService<ExpansionOrder> {

    PageInfo pageList(VirtualOrderParam param);

    Long getCount(Long id);

    ExpansionOrder getByOrderSn(String orderSn);

    boolean paySuccessExpansionOrder(String orderSn, String tradeNo, int paymentTypeName, int status);

    List<ExpansionOrder> getByCameraId(Long cameraId);

    ExpansionOrder getByOrderSnNoPay(String orderSn);
}
